#!/usr/local/bin/perl5 -w

$BINDIR = "/afs/cs.cmu.edu/project/fox-27/casc/usr/geoff/tptp/Systems/E-SETHEO---2000csp/bin";

#
# Interrupt handling, also adapted to SIGXCPU
#
$SIG{INT} = sub { 
  local $SIG{INT} = 'IGNORE';
  if (defined($child_pid) && $child_pid > 0) {
    system "$BINDIR/mykill";
    kill "INT", $child_pid;
    exit;
    }
  };
$SIG{XCPU} = sub { 
  local $SIG{XCPU} = 'IGNORE';
  if (defined($child_pid) && $child_pid > 0) {
    system "$BINDIR/mykill";
    kill "INT", $child_pid;
    exit;
    }
  };



$child_pid=fork;
if ($child_pid == 0) { # Kind
  exec @ARGV;
  }
elsif ($child_pid > 0) { # Elternprozess
  wait;
  }
else {
  print "signal-wrapper: fork error.\n";
  } 
  
